<div class="">
  <div class="sm:mx-auto sm:w-full">
    <h1 class="mt-6 mb-8 text-center leading-9 font-extrabold text-gray-900">
      Change your password
    </h1>
  </div>

  <div class="mt-4 sm:mx-auto sm:w-full">
    <div class="bg-white py-8 px-4 shadow sm:rounded-lg sm:px-10 mx-auto md:max-w-md">
      <%= form_for(resource, as: resource_name, url: password_path(resource_name), html: { method: :put, data: { turbo: false }}) do |f| %>
        <%= render "devise/shared/error_messages", resource: resource %>

        <%= f.hidden_field :reset_password_token %>

        <div class="field">
          <%= f.label :password, "New password" %>
          <% if @minimum_password_length %>
            <em>(<%= @minimum_password_length %> characters minimum)</em>
          <% end %>
          <%= f.password_field :password, autofocus: true, autocomplete: "off" %>
        </div>

        <div class="field mt-4">
          <%= f.label :password_confirmation, "Confirm new password" %>
          <%= f.password_field :password_confirmation, autocomplete: "off" %>
        </div>

        <div class="actions mt-6">
          <span class="block w-full rounded-md shadow-sm">
            <button class="w-full flex justify-center py-2 px-4 border border-colorSecondary text-sm font-medium rounded-md text-colorSecondary bg-white hover:text-colorPrimary hover:border-colorPrimary focus:outline-none focus:border-colorPrimary focus:shadow-outline-colorPrimary transition duration-150 ease-in-out">
              <%= f.submit "Change my password", class: 'bg-transparent' %>
            </button>
          </span>
          
        </div>
      <% end %>
        <div class="mt-4">
          <%= render "devise/shared/links" %>
        </div>
    </div>
  </div>
</div>

